package com.yd.api.practitioner.vo.login;


import com.yd.api.result.CommonResult;

public class PractitionerLoginResponseVO {
    private Long customerId;
    private Long practitionerId;
    private Long practitionerTypeId;
    private String practitionerIdEG;
    private Integer loginTimes;
    private String getOpenIdUrl;
    private Long canSeeSalaryList;
    private PractitionerLoginBasicInfo practitionerBasicInfo;
    private CommonResult commonResult;
    private Long loginLogId;

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getPractitionerId() {
        return practitionerId;
    }

    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    public Integer getLoginTimes() {
        return loginTimes;
    }

    public void setLoginTimes(Integer loginTimes) {
        this.loginTimes = loginTimes;
    }

    public PractitionerLoginBasicInfo getPractitionerBasicInfo() {
        return practitionerBasicInfo;
    }

    public void setPractitionerBasicInfo(PractitionerLoginBasicInfo practitionerBasicInfo) {
        this.practitionerBasicInfo = practitionerBasicInfo;
    }

    public String getPractitionerIdEG() {
        return practitionerIdEG;
    }

    public void setPractitionerIdEG(String practitionerIdEG) {
        this.practitionerIdEG = practitionerIdEG;
    }

    public String getGetOpenIdUrl() {
        return getOpenIdUrl;
    }

    public void setGetOpenIdUrl(String getOpenIdUrl) {
        this.getOpenIdUrl = getOpenIdUrl;
    }

    public CommonResult getCommonResult() {
        return commonResult;
    }

    public void setCommonResult(CommonResult commonResult) {
        this.commonResult = commonResult;
    }

    public Long getPractitionerTypeId() {
        return practitionerTypeId;
    }

    public void setPractitionerTypeId(Long practitionerTypeId) {
        this.practitionerTypeId = practitionerTypeId;
    }

    public Long getCanSeeSalaryList() {
        return this.canSeeSalaryList;
    }

    public void setCanSeeSalaryList(Long canSeeSalaryList) {
        this.canSeeSalaryList = canSeeSalaryList;
    }

    public Long getLoginLogId() {
        return loginLogId;
    }

    public void setLoginLogId(Long loginLogId) {
        this.loginLogId = loginLogId;
    }
}
